using System;
namespace Nadovezivanje
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split(' ');
            string[] komb = new string[6];
            komb[0] = s[0] + s[1] + s[2];
            komb[1] = s[0] + s[2] + s[1];
            komb[2] = s[1] + s[0] + s[2];
            komb[3] = s[1] + s[2] + s[0];
            komb[4] = s[2] + s[0] + s[1];
            komb[5] = s[2] + s[1] + s[0];
            decimal[] kombinacije = new decimal[6];
            kombinacije[0] = Convert.ToDecimal((s[0] + s[1] + s[2])) / Convert.ToDecimal(Math.Pow(10, 20));
            kombinacije[1] = Convert.ToDecimal((s[0] + s[2] + s[1])) / Convert.ToDecimal(Math.Pow(10, 20));
            kombinacije[2] = Convert.ToDecimal((s[1] + s[0] + s[2])) / Convert.ToDecimal(Math.Pow(10, 20));
            kombinacije[3] = Convert.ToDecimal((s[1] + s[2] + s[0])) / Convert.ToDecimal(Math.Pow(10, 20));
            kombinacije[4] = Convert.ToDecimal((s[2] + s[0] + s[1])) / Convert.ToDecimal(Math.Pow(10, 20));
            kombinacije[5] = Convert.ToDecimal((s[2] + s[1] + s[0])) / Convert.ToDecimal(Math.Pow(10, 20));
            decimal max = kombinacije[0];
            int index = 0;
            for (int i = 1; i < 6; i++)
            {
                if (kombinacije[i] > max)
                {
                    max = kombinacije[i];
                    index = i;
                }

            }
            Console.WriteLine(komb[index]);
        }
    }
}